# Uses of Interface
org.opensaml.security.httpclient.HttpClientSecurityConfiguration

Packages that use HttpClientSecurityConfiguration
Package
Description
org.opensaml.security.config
OpenSAML configuration classes.
org.opensaml.security.httpclient
Security API support for Apache HttpClient.
org.opensaml.security.httpclient.impl
Security implementation support for Apache HttpClient.
org.opensaml.security.messaging.impl
Message handler implementations.

## Uses of HttpClientSecurityConfiguration in org.opensaml.security.config

Fields in org.opensaml.security.config declared as HttpClientSecurityConfiguration
Modifier and Type
Field
Description
`private HttpClientSecurityConfiguration`
BasicSecurityConfiguration.`httpClientConfig`
Configuration used when executing HttpClient requests.
Methods in org.opensaml.security.config that return HttpClientSecurityConfiguration
Modifier and Type
Method
Description
`HttpClientSecurityConfiguration`
BasicSecurityConfiguration.`getHttpClientSecurityConfiguration()`
Get the configuration used when executing HttpClient requests.
`HttpClientSecurityConfiguration`
SecurityConfiguration.`getHttpClientSecurityConfiguration()`
Get the configuration used when executing HttpClient requests.
Methods in org.opensaml.security.config with parameters of type HttpClientSecurityConfiguration
Modifier and Type
Method
Description
`BasicSecurityConfiguration`
BasicSecurityConfiguration.`setHttpClientSecurityConfiguration(HttpClientSecurityConfiguration config)`
Set the configuration used when executing HttpClient requests.

## Uses of HttpClientSecurityConfiguration in org.opensaml.security.httpclient

Fields in org.opensaml.security.httpclient with type parameters of type HttpClientSecurityConfiguration
Modifier and Type
Field
Description
`private List<HttpClientSecurityConfiguration>`
HttpClientSecurityConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.security.httpclient that return HttpClientSecurityConfiguration
Modifier and Type
Method
Description
`static HttpClientSecurityConfiguration`
HttpClientSecuritySupport.`getGlobalHttpClientSecurityConfiguration()`
Get the global `HttpClientSecurityConfiguration` instance.
Methods in org.opensaml.security.httpclient that return types with arguments of type HttpClientSecurityConfiguration
Modifier and Type
Method
Description
`List<HttpClientSecurityConfiguration>`
HttpClientSecurityConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.security.httpclient with parameters of type HttpClientSecurityConfiguration
Modifier
Constructor
Description
``
`HttpClientSecurityConfigurationCriterion(HttpClientSecurityConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.security.httpclient with type arguments of type HttpClientSecurityConfiguration
Modifier
Constructor
Description
``
`HttpClientSecurityConfigurationCriterion(List<HttpClientSecurityConfiguration> configurations)`
Constructor.

## Uses of HttpClientSecurityConfiguration in org.opensaml.security.httpclient.impl

Classes in org.opensaml.security.httpclient.impl that implement HttpClientSecurityConfiguration
Modifier and Type
Class
Description
`class`
`BasicHttpClientSecurityConfiguration`
Basic implementation of `HttpClientSecurityConfiguration`.

## Uses of HttpClientSecurityConfiguration in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl with type parameters of type HttpClientSecurityConfiguration
Modifier and Type
Field
Description
`private Function<MessageContext,List<HttpClientSecurityConfiguration>>`
PopulateHttpClientSecurityParametersHandler.`configurationLookupStrategy`
Strategy used to look up a per-request `HttpClientSecurityConfiguration` list.
Method parameters in org.opensaml.security.messaging.impl with type arguments of type HttpClientSecurityConfiguration
Modifier and Type
Method
Description
`void`
PopulateHttpClientSecurityParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<HttpClientSecurityConfiguration>> strategy)`
Set the strategy used to look up a per-request `HttpClientSecurityConfiguration` list.